# pulp_deb-client
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v3
- Package version: 2.0.0b3.dev01570556040
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import pulpcore.client.pulp_deb 
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import pulpcore.client.pulp_deb
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function
import time
import pulpcore.client.pulp_deb
from pulpcore.client.pulp_deb.rest import ApiException
from pprint import pprint

configuration = pulpcore.client.pulp_deb.Configuration()
# Configure HTTP basic authorization: Basic
configuration.username = 'YOUR_USERNAME'
configuration.password = 'YOUR_PASSWORD'

# Defining host is optional and default to http://localhost:24817
configuration.host = "http://localhost:24817"
# Create an instance of the API class
api_instance = pulpcore.client.pulp_deb.ContentGenericContentsApi(pulpcore.client.pulp_deb.ApiClient(configuration))
relative_path = 'relative_path_example' # str | Path where the artifact is located relative to distributions base_path
artifact = 'artifact_example' # str | Artifact file representing the physical content (optional)
file = '/path/to/file' # file | An uploaded file that should be turned into the artifact of the content unit. (optional)
repository = 'repository_example' # str | A URI of a repository the new content unit should be associated with. (optional)

try:
    # Create a generic content
    api_response = api_instance.create(relative_path, artifact=artifact, file=file, repository=repository)
    pprint(api_response)
except ApiException as e:
    print("Exception when calling ContentGenericContentsApi->create: %s\n" % e)

```

## Documentation for API Endpoints

All URIs are relative to *http://localhost:24817*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*ContentGenericContentsApi* | [**create**](docs/ContentGenericContentsApi.md#create) | **POST** /pulp/api/v3/content/deb/generic_contents/ | Create a generic content
*ContentGenericContentsApi* | [**list**](docs/ContentGenericContentsApi.md#list) | **GET** /pulp/api/v3/content/deb/generic_contents/ | List generic contents
*ContentGenericContentsApi* | [**read**](docs/ContentGenericContentsApi.md#read) | **GET** {generic_content_href} | Inspect a generic content
*ContentInstallerFileIndexApi* | [**create**](docs/ContentInstallerFileIndexApi.md#create) | **POST** /pulp/api/v3/content/deb/installer_file_index/ | Create an installer file index
*ContentInstallerFileIndexApi* | [**list**](docs/ContentInstallerFileIndexApi.md#list) | **GET** /pulp/api/v3/content/deb/installer_file_index/ | List InstallerFileIndices
*ContentInstallerFileIndexApi* | [**read**](docs/ContentInstallerFileIndexApi.md#read) | **GET** {installer_file_index_href} | Inspect an installer file index
*ContentInstallerPackagesApi* | [**create**](docs/ContentInstallerPackagesApi.md#create) | **POST** /pulp/api/v3/content/deb/installer_packages/ | Create an installer package
*ContentInstallerPackagesApi* | [**list**](docs/ContentInstallerPackagesApi.md#list) | **GET** /pulp/api/v3/content/deb/installer_packages/ | List installer packages
*ContentInstallerPackagesApi* | [**read**](docs/ContentInstallerPackagesApi.md#read) | **GET** {installer_package_href} | Inspect an installer package
*ContentPackageIndexApi* | [**create**](docs/ContentPackageIndexApi.md#create) | **POST** /pulp/api/v3/content/deb/package_index/ | Create a package index
*ContentPackageIndexApi* | [**list**](docs/ContentPackageIndexApi.md#list) | **GET** /pulp/api/v3/content/deb/package_index/ | List PackageIndices
*ContentPackageIndexApi* | [**read**](docs/ContentPackageIndexApi.md#read) | **GET** {package_index_href} | Inspect a package index
*ContentPackagesApi* | [**create**](docs/ContentPackagesApi.md#create) | **POST** /pulp/api/v3/content/deb/packages/ | Create a package
*ContentPackagesApi* | [**list**](docs/ContentPackagesApi.md#list) | **GET** /pulp/api/v3/content/deb/packages/ | List packages
*ContentPackagesApi* | [**read**](docs/ContentPackagesApi.md#read) | **GET** {package_href} | Inspect a package
*ContentReleasesApi* | [**create**](docs/ContentReleasesApi.md#create) | **POST** /pulp/api/v3/content/deb/releases/ | Create a release
*ContentReleasesApi* | [**list**](docs/ContentReleasesApi.md#list) | **GET** /pulp/api/v3/content/deb/releases/ | List releases
*ContentReleasesApi* | [**read**](docs/ContentReleasesApi.md#read) | **GET** {release_href} | Inspect a release
*DistributionsAptApi* | [**create**](docs/DistributionsAptApi.md#create) | **POST** /pulp/api/v3/distributions/deb/apt/ | Create a deb distribution
*DistributionsAptApi* | [**delete**](docs/DistributionsAptApi.md#delete) | **DELETE** {deb_distribution_href} | Delete a deb distribution
*DistributionsAptApi* | [**list**](docs/DistributionsAptApi.md#list) | **GET** /pulp/api/v3/distributions/deb/apt/ | List deb distributions
*DistributionsAptApi* | [**partial_update**](docs/DistributionsAptApi.md#partial_update) | **PATCH** {deb_distribution_href} | Partially update a deb distribution
*DistributionsAptApi* | [**read**](docs/DistributionsAptApi.md#read) | **GET** {deb_distribution_href} | Inspect a deb distribution
*DistributionsAptApi* | [**update**](docs/DistributionsAptApi.md#update) | **PUT** {deb_distribution_href} | Update a deb distribution
*PublicationsAptApi* | [**create**](docs/PublicationsAptApi.md#create) | **POST** /pulp/api/v3/publications/deb/apt/ | Create a deb publication
*PublicationsAptApi* | [**delete**](docs/PublicationsAptApi.md#delete) | **DELETE** {deb_publication_href} | Delete a deb publication
*PublicationsAptApi* | [**list**](docs/PublicationsAptApi.md#list) | **GET** /pulp/api/v3/publications/deb/apt/ | List deb publications
*PublicationsAptApi* | [**read**](docs/PublicationsAptApi.md#read) | **GET** {deb_publication_href} | Inspect a deb publication
*PublicationsVerbatimApi* | [**create**](docs/PublicationsVerbatimApi.md#create) | **POST** /pulp/api/v3/publications/deb/verbatim/ | Create a verbatim publication
*PublicationsVerbatimApi* | [**delete**](docs/PublicationsVerbatimApi.md#delete) | **DELETE** {verbatim_publication_href} | Delete a verbatim publication
*PublicationsVerbatimApi* | [**list**](docs/PublicationsVerbatimApi.md#list) | **GET** /pulp/api/v3/publications/deb/verbatim/ | List verbatim publications
*PublicationsVerbatimApi* | [**read**](docs/PublicationsVerbatimApi.md#read) | **GET** {verbatim_publication_href} | Inspect a verbatim publication
*RemotesAptApi* | [**create**](docs/RemotesAptApi.md#create) | **POST** /pulp/api/v3/remotes/deb/apt/ | Create a deb remote
*RemotesAptApi* | [**delete**](docs/RemotesAptApi.md#delete) | **DELETE** {deb_remote_href} | Delete a deb remote
*RemotesAptApi* | [**list**](docs/RemotesAptApi.md#list) | **GET** /pulp/api/v3/remotes/deb/apt/ | List deb remotes
*RemotesAptApi* | [**partial_update**](docs/RemotesAptApi.md#partial_update) | **PATCH** {deb_remote_href} | Partially update a deb remote
*RemotesAptApi* | [**read**](docs/RemotesAptApi.md#read) | **GET** {deb_remote_href} | Inspect a deb remote
*RemotesAptApi* | [**sync**](docs/RemotesAptApi.md#sync) | **POST** {deb_remote_href}sync/ | 
*RemotesAptApi* | [**update**](docs/RemotesAptApi.md#update) | **PUT** {deb_remote_href} | Update a deb remote


## Documentation For Models

 - [AsyncOperationResponse](docs/AsyncOperationResponse.md)
 - [DebDistribution](docs/DebDistribution.md)
 - [DebPublication](docs/DebPublication.md)
 - [DebRemote](docs/DebRemote.md)
 - [GenericContent](docs/GenericContent.md)
 - [InlineResponse200](docs/InlineResponse200.md)
 - [InlineResponse2001](docs/InlineResponse2001.md)
 - [InlineResponse2002](docs/InlineResponse2002.md)
 - [InlineResponse2003](docs/InlineResponse2003.md)
 - [InlineResponse2004](docs/InlineResponse2004.md)
 - [InlineResponse2005](docs/InlineResponse2005.md)
 - [InlineResponse2006](docs/InlineResponse2006.md)
 - [InlineResponse2007](docs/InlineResponse2007.md)
 - [InlineResponse2008](docs/InlineResponse2008.md)
 - [InlineResponse2009](docs/InlineResponse2009.md)
 - [InstallerFileIndex](docs/InstallerFileIndex.md)
 - [InstallerPackage](docs/InstallerPackage.md)
 - [Package](docs/Package.md)
 - [PackageIndex](docs/PackageIndex.md)
 - [Release](docs/Release.md)
 - [RepositorySyncURL](docs/RepositorySyncURL.md)
 - [VerbatimPublication](docs/VerbatimPublication.md)


## Documentation For Authorization


## Basic

- **Type**: HTTP basic authentication


## Author




